event_inherited();


if (bullet_type != -1)
{
switch (bullet_type)
	{
	case weapon.bolter: 
		// Only hurt other entity if it's not the creator and belongs to other team or neutral team
		if (other.id != creator && (other.team != team || team == TEAMS.neutral))
			{
			other.hp -= damage;
			other.stunned = other.stun_duration;
			instance_destroy();
	
			create_explosion(x, y, random_range(0.6, 0.8));
	
			other.apply_knockback(direction + random_range(-20, 20), damage);
			}
		break;	
	case weapon.laser: 	break;	
	case weapon.missile: break;	
	case weapon.small_missile:
		// Only hurt other entity if it's not the creator and belongs to other team or neutral team
		if (other.id != creator && (other.team != team || team == TEAMS.neutral))
			{
			var disclaimer = (time<50) ? 0.5 : 1; //If missile is not ready

			other.hp -= damage*disclaimer;
			other.stunned = other.stun_duration*1.2;
			instance_destroy();
			
			sfx_play_position(x, y, snd_missile_explosion, 0.5, random_range(0.9, 1.1), random_range(0.9, 1.1));
	
			create_explosion(x, y, random_range(1.5, 1.6));
	
			other.apply_knockback(direction + random_range(-20, 20), damage);
			}
		break;	
	case weapon.star_beam:
		// Only hurt other entity if it's not the creator and belongs to other team or neutral team
		if (other.id != creator && (other.team != team || team == TEAMS.neutral))
			{
			other.hp -= damage;
			other.stunned = other.stun_duration*1.2;
			//instance_destroy();
	
	
			//other.apply_knockback(direction + random_range(-20, 20), damage);
			}
		break;
		
	}
}