//show_debug_message(bullet_type)

if (bullet_type != -1 && time>0)
{
switch (bullet_type)
	{
	case weapon.star_beam: 
		draw_sprite_ext(
			sprite_index, -1,
			x,
			y,
			image_xscale,image_yscale,//clamp(time/10,0,3),
			//0.5,
			image_angle,-1,1
			);
		draw_sprite_ext(spr_star_gun,7,x,y,1,1,time*5,-1,1);
		break;
	case weapon.small_missile: 
	case weapon.missile:	draw_sprite_ext(spr_missile_flame,-1,x+ lengthdir_x(-6,image_angle),y + lengthdir_y(-6,image_angle),1,1,image_angle,-1,0.5); 
	case weapon.bolter:		draw_self(); break;	
	
	case weapon.laser: 
		//Debug line
		//draw_line(x,y,x+lengthdir_x(32*20,image_angle),y+lengthdir_y(32*20,image_angle));
		//draw_line(x+lengthdir_x(8,image_angle+90),y+lengthdir_y(8,image_angle+90),x+lengthdir_x(32*20,image_angle)+lengthdir_x(8,image_angle+90),y+lengthdir_y(8,image_angle+90)+lengthdir_y(32*20,image_angle));
		//draw_line(x+lengthdir_x(8,image_angle-90),y+lengthdir_y(8,image_angle-90),x+lengthdir_x(32*20,image_angle)+lengthdir_x(8,image_angle-90),y+lengthdir_y(8,image_angle-90)+lengthdir_y(32*20,image_angle));

		draw_sprite_ext(
			sprite_index, -1,
			x+lengthdir_x(16,image_angle),
			y+lengthdir_y(16,image_angle),
			clamp(1-time/20,0,1),clamp(1-time/20,0,1),
			image_angle,-1,1
			);
		
		var lenght = 14;
		if (instance_exists(creator))
			{
			for(var i=0; i<lenght; i++)
				{
				var y_scale = clamp((i+4)/6 - ((time-1)/20/i),0.3,1);
				y_scale -= (i>=16) ? (i mod lenght-5)/4 : 0;
				y_scale -= time/life_time-0.2;
				y_scale = clamp(y_scale,0,1);
				
				draw_sprite_ext(
					spr_bullet_laser, i+time/4,
					x+lengthdir_x(i*32+16,image_angle),
					y+lengthdir_y(i*32+16,image_angle),
					1,y_scale,
					image_angle,-1,1
					);
				}
			}
		else
			{
			instance_destroy();	
			}
		break;	
		
		
	}
}