event_inherited();
always_active = true;
hp = 30000000000000;
detectable = true;
ping_size = 5;
ping_color = COLORS.lime;
team = TEAMS.player;

friction = 10;

detect_on_radar = function(radar_start_angle, radar_end_angle, radar_range, center_x, center_y)
{
	if (!detected && detectable)
	{
		var dist = point_distance(x,y, center_x, center_y);
		var dir = point_direction(center_x, center_y, x, y);
		
		if (dir <= radar_start_angle && dir > radar_end_angle)
		{
			var len = min(radar_range, dist) / radar_range * 150;
			var xx = center_x + lengthdir_x(len, dir);
			var yy = center_y + lengthdir_y(len, dir);
		
			var ping = instance_create_layer(xx, yy, "InstancesTop", obj_ping);
			ping.image_blend = ping_color;
			ping.size = ping_size;
			ping.image_alpha = 3;
			
			detected = 10;
		}
	}
}

boss_spawned = false;