event_inherited();

hp = 6;

damage = 3;

detectable = true;
ping_size = 2;
ping_color = COLORS.red;

friction = 0.1;

target = obj_spaceship;
vision_range = irandom_range(90, 180);
vision_radius = irandom_range(15, 45);
vision_direction = irandom(360);

beam_progress = 0;

var curve_channel = animcurve_get_channel(ac_chase_dist, 0);
var chase_dist_multiplier = animcurve_channel_evaluate(curve_channel, random(1));
max_chase_dist = vision_range * chase_dist_multiplier;

scanning = true;

vision_direction_target = irandom(360);
vision_direction_speed = random_range(0.5, 1);

agressive = false;

movement_speed = random_range(2.5, 3);

stunned = 0;

stun_duration = 8;

apply_knockback = function(dir, force)
{
	motion_add(dir, force);
	vision_direction_target = dir + 180;
	vision_direction_speed = 2;
	vision_range += 10;
}

hurt = function()
{
	if (hurt_timer <= 0)
	{
		sfx_play_position(x, y, snd_hurt1, 0.3, random_range(0.9, 1.1), 0.7 * random_range(0.9, 1.1));	
	}
}

destroy = function()
{
	instance_destroy();
	create_explosion(x, y, 1.6);
	sfx_play_position(x, y, snd_scarab_die, 0.3, random_range(0.9, 1.1), random_range(0.9, 1.1));	

}
