event_inherited();
if (stunned > 0)
{
	stunned -= 1;
	exit;
}

if (instance_exists(target))
{
	var dist = point_distance(x, y, target.x, target.y);
	var angle_to_target = point_direction(x,y, target.x, target.y);
	
	// check if target is within vision range and radius
	if (dist < vision_range)
	{
		var angle_diff = angle_difference(vision_direction, angle_to_target);
		
		if (abs(angle_diff) < vision_radius)
		{
			if (!agressive)
			{
				instance_create_layer(x, y - 12, "InstancesTop", obj_alert);
				alarm[1] = 40;
				movement_speed = 0;
				sfx_play_position(x, y, snd_detect, 0.7, random_range(0.9, 1.1), random_range(0.9, 1.1));

			}
			// target is seen, get agressive
			scanning = false;
			agressive = true;
		}
	}
	
	if ( agressive )
	{
		if (dist > max_chase_dist)
		{
			// Give up
			scanning = true;
			agressive = false
		}
		else
		{
			// Try to follow the target
			var vision_target_angle_diff = angle_difference(vision_direction, angle_to_target);

			vision_direction -= sign(vision_target_angle_diff) * 10;
			
			motion_add(vision_direction, movement_speed * 0.05);
			speed = min(movement_speed, speed);
		}
	}
}

if (scanning)
{
	var vision_target_angle_diff = angle_difference(vision_direction, vision_direction_target);

	if (vision_target_angle_diff < 5 && alarm[0] == -1)
	{
		alarm[0] = irandom_range(40, 60);
		vision_direction_speed = 0;
	}
	vision_direction -= sign(vision_target_angle_diff) * vision_direction_speed;
}

image_angle = vision_direction;


beam_progress -= 0.025;	
if (beam_progress <= -1)
{
	beam_progress = 1;
}