event_inherited();
var view_center_x = get_camera_center_x(view_number);
var view_center_y = get_camera_center_y(view_number);
room_width_third = room_width / 3;
room_height_third = room_height / 3;
var view_cam = view_camera[view_number];

var view_x = camera_get_view_x(view_cam);
var view_y = camera_get_view_y(view_cam);



if (view_center_x > room_width_third * 2)
{
	// Unload sectors left behind
	sector_unload(sector_x - 1, sector_y - 1);
	sector_unload(sector_x - 1, sector_y);
	sector_unload(sector_x - 1, sector_y + 1);
	
	// Load upcoming sectors
	sector_load(sector_x + 2, sector_y - 1);
	sector_load(sector_x + 2, sector_y);
	sector_load(sector_x + 2, sector_y + 1);
	
	// Move everything left
	with (obj_entity)
	{
		x -= other.room_width_third;
	}
	view_x -= room_width_third;
	
	sector_x += 1;
	
}

if (view_center_x < room_width_third)
{
	// Unload sectors left behind
	sector_unload(sector_x + 1, sector_y - 1);
	sector_unload(sector_x + 1, sector_y);
	sector_unload(sector_x + 1, sector_y + 1);
	
	// Load upcoming sectors
	sector_load(sector_x - 2, sector_y - 1);
	sector_load(sector_x - 2, sector_y);
	sector_load(sector_x - 2, sector_y + 1);
	
	// Move everything right
	with (obj_entity)
	{
		x += other.room_width_third;
	}
	view_x += room_width_third;
	sector_x -= 1;
}


if (view_center_y > room_height_third * 2)
{
	// Unload sectors left behind
	sector_unload(sector_x - 1, sector_y - 1);
	sector_unload(sector_x, sector_y - 1);
	sector_unload(sector_x + 1, sector_y - 1);
	
	// Load upcoming sectors
	sector_load(sector_x - 1, sector_y + 2);
	sector_load(sector_x, sector_y + 2);
	sector_load(sector_x + 1, sector_y + 2);
	
	// Move everything up
	with (obj_entity)
	{
		y -= other.room_height_third;
	}
	view_y -= room_height_third;
	sector_y += 1;
}

if (view_center_y < room_height_third)
{
	// Unload sectors left behind
	sector_unload(sector_x - 1, sector_y + 1);
	sector_unload(sector_x, sector_y + 1);
	sector_unload(sector_x + 1, sector_y + 1);
	
	// Load upcoming sectors
	sector_load(sector_x - 1, sector_y - 2);
	sector_load(sector_x, sector_y - 2);
	sector_load(sector_x + 1, sector_y - 2);
	// Move everything up
	with (obj_entity)
	{
		y += other.room_height_third;
	}
	view_y += room_height_third;
	sector_y -= 1;
}

camera_set_view_pos(view_cam, view_x, view_y);

var cam_x = sector_x * room_width_third + camera_get_view_x(view_cam);
var cam_y = sector_y * room_height_third + camera_get_view_y(view_cam);
layer_x("Background", cam_x * 0.99);
layer_x("BackgroundMid", cam_x * 0.95 );
layer_x("BackgroundTop", cam_x * 0.9); 

layer_y("Background", cam_y * 0.99);
layer_y("BackgroundMid", cam_y * 0.95);  
layer_y("BackgroundTop", cam_y * 0.9); 