/// @description Insert description here
// You can write your code in this editor

draw_sprite(spr_fog, 0, 0, 0);
hp_percentage = 0;
var hurt = false;

if (instance_exists(obj_spaceship))
{
	draw_sprite(spr_radar, obj_spaceship.radar_on, 640 - 36, 360 - 36)
	
	hp_percentage = obj_spaceship.hp / obj_spaceship.max_hp;
	hurt = obj_spaceship.hurt_timer > 0;
	
	draw_set_font(fnt_small_font);
	draw_set_alpha(0.8);
	draw_set_halign(fa_right);
	draw_set_valign(fa_bottom);


	var border = 10;
	var slot_size = 24;
	var xx = 0;
	var yy = camera_get_view_height(0) - 34;

	for (var i=0; i < obj_spaceship.weapon_slots; i++)
	{

		var weapon = obj_spaceship.arr_weapon_inventory[i];
		
		if (weapon != -1)
		{
			draw_set_alpha(1);
			draw_sprite(grid_weapons[# weapon, bullet_property.icon ], obj_spaceship.current_weapon == weapon, 	2 + 34 * i, yy);
		
			//Bullets
			draw_set_alpha(1);
			draw_set_color(COLORS.black);
			draw_text(
				1 + xx + border + slot_size + border*i + slot_size*i -4,
				0 + yy + border + slot_size + 4 -34,
			obj_spaceship.arr_ammo_inventory[i])
			
			draw_text(
				0 + xx + border + slot_size + border*i + slot_size*i -4,
				1 + yy + border + slot_size + 4 -34,
			obj_spaceship.arr_ammo_inventory[i])
			
			draw_text(
				-1 + xx + border + slot_size + border*i + slot_size*i -4,
				0 + yy + border + slot_size + 4 -34,
			obj_spaceship.arr_ammo_inventory[i])
			
			draw_text(
				0 + xx + border + slot_size + border*i + slot_size*i -4,
				-1 + yy + border + slot_size + 4 -34,
			obj_spaceship.arr_ammo_inventory[i])
			
			draw_set_alpha(0.8);
			draw_set_color(COLORS.green);
			draw_text(
				xx + border + slot_size + border*i + slot_size*i -4,
				yy + border + slot_size + 4 -34,
			obj_spaceship.arr_ammo_inventory[i])
		}
	}
}
draw_set_alpha(1);
var xoffset = 0;
var yoffset = 0;
if (hurt)
{
	xoffset = irandom_range(-2, 2);
	yoffset = irandom_range(-1, 1);
}
draw_sprite(spr_health_bar, 0, 160 + xoffset, 2 + yoffset);
draw_sprite_part(spr_health_bar_filling, 1, 0, 0, sprite_get_width(spr_health_bar_filling) * hp_previous, 16, 164 + xoffset, 6 + yoffset); 

draw_sprite_part(spr_health_bar_filling, 0, 0, 0, sprite_get_width(spr_health_bar_filling) * hp_percentage, 16, 164 + xoffset, 6 + yoffset); 