enum pickup
	{
	ammo_laser,
	ammo_missile,
	ammo_star_gun,
	healthpack,
	total
	}

enum weapon
	{
	bolter,
	laser,
	missile,
	star_gun,
	small_missile,
	star_beam,
	total
	}
 
enum bullet_property
	{
	icon,
	sprite,
	type,
	damage,
	knockback,
	spd,
	cooldown,
	max_bullets,
	life_time,
	sound,
	total, 

	}

globalvar grid_weapons;
grid_weapons = ds_grid_create(weapon.total,bullet_property.total);

grid_weapons[# weapon.bolter, bullet_property.icon]	= spr_mgun;
grid_weapons[# weapon.bolter, bullet_property.sprite]	= spr_bullet_0;
grid_weapons[# weapon.bolter, bullet_property.type]		= weapon.bolter;
grid_weapons[# weapon.bolter, bullet_property.damage]	= 1.2;
grid_weapons[# weapon.bolter, bullet_property.spd]		= 12;
grid_weapons[# weapon.bolter, bullet_property.knockback]= 0.2;
grid_weapons[# weapon.bolter, bullet_property.cooldown]	= 6;
grid_weapons[# weapon.bolter, bullet_property.max_bullets]	= infinity;
grid_weapons[# weapon.bolter, bullet_property.life_time]	= 13;
grid_weapons[# weapon.bolter, bullet_property.sound]	= snd_mg;

grid_weapons[# weapon.laser, bullet_property.icon]	= spr_lazor;
grid_weapons[# weapon.laser, bullet_property.sprite]	= spr_laser_ball;
grid_weapons[# weapon.laser, bullet_property.type]		= weapon.laser;
grid_weapons[# weapon.laser, bullet_property.damage]	= 0.2;
grid_weapons[# weapon.laser, bullet_property.spd]		= 0;
grid_weapons[# weapon.laser, bullet_property.knockback]	= 1;
grid_weapons[# weapon.laser, bullet_property.cooldown]	= 35;
grid_weapons[# weapon.laser, bullet_property.max_bullets]= 999;
grid_weapons[# weapon.laser, bullet_property.life_time]	= 30;
grid_weapons[# weapon.laser, bullet_property.sound]	= snd_laser_basic;

grid_weapons[# weapon.missile, bullet_property.icon]	= spr_mirv;
grid_weapons[# weapon.missile, bullet_property.sprite]	= spr_missile;
grid_weapons[# weapon.missile, bullet_property.type]	= weapon.missile;
grid_weapons[# weapon.missile, bullet_property.damage]	= 1;
grid_weapons[# weapon.missile, bullet_property.spd]		= -10;
grid_weapons[# weapon.missile, bullet_property.knockback]= 1;
grid_weapons[# weapon.missile, bullet_property.cooldown]	= 60;
grid_weapons[# weapon.missile, bullet_property.max_bullets]	= 999;
grid_weapons[# weapon.missile, bullet_property.life_time]	= 40;
grid_weapons[# weapon.missile, bullet_property.sound]	= snd_launch;


grid_weapons[# weapon.small_missile, bullet_property.sprite]	= spr_missile_small;
grid_weapons[# weapon.small_missile, bullet_property.type]		= weapon.small_missile;
grid_weapons[# weapon.small_missile, bullet_property.damage]	= 4;
grid_weapons[# weapon.small_missile, bullet_property.spd]		= 0;
grid_weapons[# weapon.small_missile, bullet_property.knockback]	= 0;
grid_weapons[# weapon.small_missile, bullet_property.cooldown]	= 10;
grid_weapons[# weapon.small_missile, bullet_property.max_bullets]	= 999;
grid_weapons[# weapon.small_missile, bullet_property.life_time]	= 1600;
grid_weapons[# weapon.small_missile, bullet_property.sound]	= snd_mg;

grid_weapons[# weapon.star_gun, bullet_property.icon]	= spr_m_lazr;
grid_weapons[# weapon.star_gun, bullet_property.sprite]		= spr_star_gun;
grid_weapons[# weapon.star_gun, bullet_property.type]		= weapon.star_gun;
grid_weapons[# weapon.star_gun, bullet_property.damage]		= 0;
grid_weapons[# weapon.star_gun, bullet_property.spd]		= 0;
grid_weapons[# weapon.star_gun, bullet_property.knockback]	= 0;
grid_weapons[# weapon.star_gun, bullet_property.cooldown]	= 30;
grid_weapons[# weapon.star_gun, bullet_property.max_bullets]= 999;
grid_weapons[# weapon.star_gun, bullet_property.life_time]	= 30;
grid_weapons[# weapon.star_gun, bullet_property.sound]	= snd_m_lazr_charge;

grid_weapons[# weapon.star_beam, bullet_property.sprite]	= spr_star_beam;
grid_weapons[# weapon.star_beam, bullet_property.type]		= weapon.star_beam;
grid_weapons[# weapon.star_beam, bullet_property.damage]		= 0.12;

grid_weapons[# weapon.star_beam, bullet_property.spd]		= 0;
grid_weapons[# weapon.star_beam, bullet_property.knockback]	= 0.01;
grid_weapons[# weapon.star_beam, bullet_property.cooldown]	= 30;
grid_weapons[# weapon.star_beam, bullet_property.max_bullets]= 999;
grid_weapons[# weapon.star_beam, bullet_property.life_time]	= 30;
grid_weapons[# weapon.star_beam, bullet_property.sound]	= snd_laser_star;

