event_inherited();
always_active = false;
is_persistent = true;
detectable = false;

detected = 0;

ping_color = COLORS.light_yellow;
ping_size = 1;
ping_strength = 1;

detect_on_radar = function(radar_start_angle, radar_end_angle, radar_range, center_x, center_y)
{
	if (!detected && detectable)
	{
		var dist = point_distance(x,y, center_x, center_y)
		var dir = point_direction(center_x, center_y, x, y);
		if (dist > 40 && dist < radar_range && dir <= radar_start_angle && dir > radar_end_angle)
		{
			var len = dist / radar_range * 150;
			var xx = center_x + lengthdir_x(len, dir);
			var yy = center_y + lengthdir_y(len, dir);
		
			var ping = instance_create_layer(xx, yy, "InstancesTop", obj_ping);
			ping.image_blend = ping_color;
			ping.size = ping_size;
			ping.image_alpha = ping_strength;
			
			detected = 10;
		}
	}
}