event_inherited();
if (!follow_player)
{
	instance_create_layer(x, y - 120, "Instances", obj_illuminator);
	
	other.hp = min(other.max_hp, other.hp + 10);
	
	detectable = false;

	follow_player = true;
	
	var text = instance_create_layer(x, y - 48, "InstancesTop", obj_popup_text);
	text.image_blend = COLORS.beige;
	text.image_alpha = 8;
	
	var fragment_count = 0;
	with(obj_fragment)
	{
		// Count all fragments
		if (!follow_player)
		{
			fragment_count += 1;	
		}
	}
	
	if (fragment_count == 0)
	{
		instance_create_layer(obj_scrolling_manager.sector_x * obj_scrolling_manager.room_width_third + 1500, obj_scrolling_manager.sector_x * obj_scrolling_manager.room_width_third + 1380, "InstancesBottom", obj_portal);
		text.text = "You have all the planet fragments!\nGet back to the teleport!";
	}
	else
	{
		text.text = "Fragment collected!\n" + string(fragment_count) + " more left!";
	}
	
	sfx_play(snd_fragment, 0.9, 1, 0.8 + 0.1 * fragment_count);
	
}
else if (speed > 1)
{

	other.hp -= 0.33;
	var dir = point_direction(x, y, other.x, other.y);

	other.x += lengthdir_x(24, dir);
	other.y += lengthdir_y(24, dir);

	with(other.id)
	{
		var force = other.speed * 0.8;
		x_speed += lengthdir_x(force, dir);
		y_speed += lengthdir_y(force, dir);

	}
}