event_inherited();
always_active = true

hp = 200;
hp_previous = hp;
max_hp = 200;

detectable = true;
ping_size = 9;
ping_color = COLORS.pink;

damage = 5;

friction = 1.2;

target = obj_spaceship;


agressive = false;

vision_range = 1000;

stun_duration = 2;


apply_knockback = function(dir, force)
{
	motion_add(dir, force * 0.2);	
}

bullets = 9;
shoot_timer = 10;
alarm[0] = 100;

dist = 100000;

hurt = function()
{
	if (hurt_timer <= 0)
	{
		sfx_play_position(x,y, snd_klonk, 0.5, random_range(0.4, 0.8), random_range(0.8, 1.2));
	}
	if (!agressive)
		{
			detectable = true;
			agressive = true;
			stunned = 90;
			instance_create_layer(x, y - 12, "InstancesTop", obj_alert);
			sfx_play_position(x, y, snd_detect, 0.8, 1,  1.25);
		}
}

destroy = function()
{
	instance_destroy();
	create_explosion(x, y, 2);
	sfx_play_position(x, y, snd_mine_explosion, 0.8, 1,  0.9);
	
	repeat(5)
	{
		pickup1 = instance_create_layer(x, y,"Instances", obj_pickup);
		pickup1.pickup_type = choose(pickup.ammo_laser,pickup.ammo_laser, pickup.ammo_laser, pickup.ammo_missile, pickup.ammo_missile, pickup.ammo_star_gun, pickup.ammo_laser, pickup.ammo_missile, pickup.ammo_star_gun, pickup.healthpack);
		pickup1.speed = random_range(0.75, 1);
		pickup1.direction = random(360);
	}
}

detect_on_radar = function(radar_start_angle, radar_end_angle, radar_range, center_x, center_y)
{
	if (!detected && detectable)
	{
		var dist = point_distance(x,y, center_x, center_y)
		var dir = point_direction(center_x, center_y, x, y);
		if (dist > 40 && dist < radar_range && dir <= radar_start_angle && dir > radar_end_angle)
		{
			var len = dist / radar_range * 150;
			var xx = center_x + lengthdir_x(len, dir);
			var yy = center_y + lengthdir_y(len, dir);
		
			var ping = instance_create_layer(xx, yy, "InstancesTop", obj_ping);
			ping.image_blend = ping_color;
			ping.size = ping_size;
			ping.image_alpha = ping_strength;
			
			var pitch = 1;
			var gain = 0.5;
			if (dist < 8000)
			{
				var ratio = 1 - (dist / 8000);
				gain += 0.15 * ratio;
				pitch += 0.4 * ratio;
			}
			sfx_play(snd_sonaarg, 0.9, gain, pitch);
			
			
			detected = 10;
		}
	}
}

alarm[1] = 300;