event_inherited();
if (stunned > 0)
{
	stunned -= 1;
	exit;
}

vision_range = 500 + 300 * ( 1 - (hp / max_hp));

if (instance_exists(target))
{
	dist = point_distance(x, y, target.x, target.y);
	var angle_to_target = point_direction(x, y, target.x, target.y);
	// check if target is within vision range and radius
	if (dist < vision_range)
	{
		if (!agressive)
		{
			detectable = true;
			agressive = true;
			stunned = 90;
			instance_create_layer(x, y - 12, "InstancesTop", obj_alert);
			sfx_play_position(x, y, snd_detect, 0.8, 1,  1.25);
		}
		
	}
	else if ( dist > 2 * vision_range)
	{
		agressive = false;	
	}

}

if (agressive)
{
	shoot_timer -= 1;
	if (shoot_timer <= 0 && speed <= 0.01)
	{
		sfx_play_position(x, y, snd_small_laser, 0.4, 1, random_range(0.9, 1.1));
		var bullet = instance_create_layer(x, y, "Instances", obj_enemy_projectile);
		with(bullet)
		{
			motion_set(angle_to_target + random_range(-7, 7), 3.5);
		}
				
		shoot_timer = 5;
				
		bullets -= 1;
		if (bullets <= 0)
		{
			bullets = 20;
			shoot_timer = 180;
		}
	}

}