event_inherited();
hp = 4;

detectable = true;
ping_size = 2;
ping_color = COLORS.orange;

damage = 3;

friction = 0.025;

target = obj_spaceship;

vision_range = irandom_range(120, 180);
vision_direction = irandom(360);

target_x = x + irandom_range(-400, 400);
target_y = y + irandom_range(-400, 400);

alert_level = 0;
alert_max_level = irandom_range(90, 300);

var curve_channel = animcurve_get_channel(ac_chase_dist, 0);
var chase_dist_multiplier = animcurve_channel_evaluate(curve_channel, random(1));
max_chase_dist = vision_range * chase_dist_multiplier;

scanning = true;

vision_direction_target = irandom(360);

agressive = false;

movement_speed = random_range(2.5, 3);

stunned = 0;

stun_duration = 5;

thrust_speed = 100;

apply_knockback = function(dir, force)
{
	motion_add(dir, force);	
}

hurt = function()
{
	if (hurt_timer <= 0)
	{
		sfx_play_position(x, y, snd_hurt1, 0.3, random_range(0.9, 1.1), random_range(0.9, 1.1));
	}
}

destroy = function()
{
	instance_destroy();
	create_explosion(x, y, 1.6);
	sfx_play_position(x, y, snd_worm_die, 0.3, random_range(0.9, 1.1), random_range(0.9, 1.1));	

}