event_inherited();
if (stunned > 0)
{
	stunned -= 1;
	exit;
}

if (instance_exists(target))
{
	var dist = point_distance(x, y, target.x, target.y);
	
	// check if target is within vision range and radius
	if (dist < vision_range)
	{
		if (!agressive)
		{
			alert_level += 1;
			if (alert_level > alert_max_level)
			{
				// Target is found
				instance_create_layer(x, y - 12, "InstancesTop", obj_alert);
				stunned = 40;
				agressive = true;
				speed = 0;
				target_x = target.x;
				target_y = target.y;
				sfx_play_position(x, y, snd_detect_worm, 0.7, random_range(0.9, 1.1), random_range(0.9, 1.1));
			}
		}
	}
	else if (alert_level > 0)
	{
		// Slowly reduce the alert level if target is out of range
		alert_level -= 0.25;
	}
	
	if ( agressive )
	{
		if (alert_level <= 0)
		{
			// Give up
			scanning = true;
			agressive = false
		}
	}
}

if (speed <= 0.1)
{
	image_speed = 1 + agressive;	
}
// Try to follow the target
var angle_to_target = point_direction(x,y, target_x, target_y);
var angle_diff = angle_difference(image_angle, angle_to_target);

image_angle -= sign(angle_diff) * 5 / power(max(1, speed * 4), 2);

if (floor(image_index) == 3)
{
	image_index += 1;
	image_speed = (1 + agressive) * random_range(0.1, 2);
	motion_add(image_angle, thrust_speed * random_range(0.9, 1.4) + agressive * 100);
	speed = min(movement_speed, speed);
}

direction = image_angle;
