event_inherited();
hp = 4;
detectable = true;
ping_size = 2;
image_angle = round(irandom(360) / 16) * 16;


var scale = random_range(0.6, 1);

image_xscale = scale * choose(-1, 1);
image_yscale = scale;

friction = 0.02;

destroy = function()
{
	sfx_play_position(x, y, snd_rock_destroy, 0.3, random_range(0.9, 1.1), random_range(0.9, 1.1));
	
	create_explosion(x, y, 2.5);
	var explosion = instance_create_layer(x,y, "InstancesTop", obj_explosion_spawner);
	explosion.alarm[0] = 30;
	instance_destroy();	
	var i = 0;
	repeat(8)
	{
		var rock = instance_create_layer(x, y, layer, obj_rock);
		with(rock)
		{
			motion_set(i * 45 + random_range(-30, 30), random_range(1, 5));	
		}
		i += 1;
	}
	
	var i = 0;
	repeat(8)
	{
		var rock = instance_create_layer(x, y, layer, obj_rock_chip);
		with(rock)
		{
			motion_set(i * 45 + random_range(-30, 30), random_range(5, 10));	
		}
		i += 1;
	}
}

apply_knockback = function(dir, force)
{
	motion_add(dir, force * 0.3);	
}


hurt = function()
{
	if (hurt_timer <= 0)
	{
		sfx_play_position(x, y, snd_hit_rock, 0.1, 1 * random_range(0.9, 1.1), 1 * random_range(0.9, 1.1));	
	}
}