function get_camera_center_x(view_number)
{
	var view_cam = view_camera[view_number];
	return camera_get_view_x(view_cam) + camera_get_view_width(view_cam) * 0.5;
}

function get_camera_center_y(view_number)
{
	var view_cam = view_camera[view_number];
	return camera_get_view_y(view_cam) + camera_get_view_height(view_cam) * 0.5;
}


function camera_center_on(view_number, x, y)
{
	var view_cam = view_camera[view_number];	
	var cam_x = x - camera_get_view_width(view_cam) * 0.5;
	var cam_y = y - camera_get_view_height(view_cam) * 0.5;
	
	camera_set_view_pos(view_cam, cam_x, cam_y);
}