
function create_explosion(x, y, size){
	var explosion = instance_create_layer(x,y, "InstancesTop", obj_small_explosion);
	explosion.image_xscale = size;
	explosion.image_yscale = size;
	explosion.image_angle = irandom(360);
}

function sfx_play(sound, priority, gain, pitch)
{
	var snd = audio_play_sound(sound, priority, false);
	audio_sound_gain(snd, gain, 0);
	audio_sound_pitch(snd, pitch);
}


function sfx_play_position(x, y, sound, priority, gain, pitch)
{
	var view_x1 = camera_get_view_x(view_camera[0]);
	var view_x2= view_x1 + camera_get_view_width(view_camera[0]);
	
	var view_y1 = camera_get_view_y(view_camera[0]);
	var view_y2= view_y1 + camera_get_view_height(view_camera[0]);
	
	if (x > view_x1 - 64 && x < view_x2 + 64 && y > view_y1 - 64 && y < view_y2 + 64)
	{
		sfx_play(sound, priority, gain, pitch);
	}
	

}